## cramfsswap 1.1

=== Makefile ===
#!/usr/bin/make -f

all: cramfsswap

cramfsswap: cramfsswap.c
	gcc -Wall -g -O -o cramfsswap -lz cramfsswap.c
	strip cramfsswap

install: cramfsswap
	install cramfsswap $(DESTDIR)/usr/bin
	
clean:	
	rm -f cramfsswap

=== debian/changelog ===
cramfsswap (1.1) unstable; urgency=low

  * Initial Release.

 -- Michael Holzt <kju@debian.org>  Tue,  4 Jan 2005 12:26:00 +0100

=== debian/control ===
Source: cramfsswap
Section: utils
Priority: optional
Maintainer: Michael Holzt <kju@debian.org>
Build-Depends: debhelper (>= 4.0.0), zlib1g-dev
Standards-Version: 3.6.1

Package: cramfsswap
Architecture: any
Depends: ${shlibs:Depends}
Description: swap endianess of a cram filesystem (cramfs)
 cramfs is a highly compressed and size optimized linux filesystem which is
 mainly used for embedded applications. the problem with cramfs is that it
 is endianess sensitive, meaning you can't mount a cramfs for a big endian
 target on a little endian machine and vice versa. this is often especially 
 a problem in the development phase.
 .
 cramfsswap solves that problem by allowing you to swap to endianess of a
 cramfs filesystem.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for cramfsswap
#
# modelled after the debhelper example
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp: 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/cramfsswap

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman cramfsswap.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cramfsswap 1.3.1

=== debian/changelog ===
cramfsswap (1.3.1) unstable; urgency=low

  * Corrected beginning of source (GPL-Notice, last modified)

 -- Michael Holzt <debian-cramfsswap@michael.holzt.de>  Wed,  8 Nov 2006 16:36:19 +0100

cramfsswap (1.3) unstable; urgency=low

  * Corrected swapping on big endian architecture (closes: Bug#345723).
  * Skipped version 1.2 due to incorrectly handled NMU. :-(
  * Clarified license information. Only GPL2 does apply, no GPL3!

 -- Michael Holzt <debian-cramfsswap@michael.holzt.de>  Wed,  8 Nov 2006 14:10:27 +0100

cramfsswap (1.2) unstable; urgency=low

  * NMU
  * Patch from Andreas Jochens to fix FTBFS on unstable due to missing u32
    declaration. Closes: #392166

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Oct 2006 15:50:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cramfsswap
 Section: utils
 Priority: optional
-Maintainer: Michael Holzt <kju@debian.org>
-Build-Depends: debhelper (>= 4.0.0), zlib1g-dev
-Standards-Version: 3.6.1
+Maintainer: Michael Holzt <debian-cramfsswap@michael.holzt.de>
+Build-Depends: debhelper (>= 4.1.16), zlib1g-dev
+Standards-Version: 3.7.2
 
 Package: cramfsswap
 Architecture: any

## cramfsswap 1.4.1

=== debian/changelog ===
cramfsswap (1.4.1) unstable; urgency=low

  * Changed build rules: Do not strip in makefile when building for debian,
    instead will be stripped by dh_strip invocation in debian/rules thus
    honoring nostrip option correctly (closes: Bug#436671).

 -- Michael Holzt <debian-cramfsswap@michael.holzt.de>  Sun, 14 Oct 2007 23:38:41 +0200

cramfsswap (1.4) unstable; urgency=low

  * cramfsswap can now handle cramfs filesystems with more than 4095 files
    thanks to a patch by Nobuhiro Iwamatsu (closes: Bug#440060).

 -- Michael Holzt <debian-cramfsswap@michael.holzt.de>  Sun, 14 Oct 2007 22:03:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cramfsswap
 Section: utils
-Priority: optional
+Priority: extra
 Maintainer: Michael Holzt <debian-cramfsswap@michael.holzt.de>
 Build-Depends: debhelper (>= 4.1.16), zlib1g-dev
 Standards-Version: 3.7.2

## cramfsswap 1.4.1ubuntu1

=== Makefile ===
#!/usr/bin/make -f

all: cramfsswap strip
debian: cramfsswap

cramfsswap: cramfsswap.c
	gcc -Wall -g -O -o cramfsswap cramfsswap.c -lz

strip:
	strip cramfsswap

install: cramfsswap
	install cramfsswap $(DESTDIR)/usr/bin
	
clean:	
	rm -f cramfsswap

=== debian/changelog ===
cramfsswap (1.4.1ubuntu1) oneiric; urgency=low

  * Reorder libraries to fix FTBFS with ld --as-needed (LP: #770935)

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 21 Aug 2011 12:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cramfsswap
 Section: utils
 Priority: extra
-Maintainer: Michael Holzt <debian-cramfsswap@michael.holzt.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Holzt <debian-cramfsswap@michael.holzt.de>
 Build-Depends: debhelper (>= 4.1.16), zlib1g-dev
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 build: build-stamp
 build-stamp: 
 	dh_testdir
-	$(MAKE)
+	$(MAKE) debian
 	touch build-stamp
 
 clean:

## cramfsswap 1.4.1-1

=== debian/changelog ===
cramfsswap (1.4.1-1) unstable; urgency=medium

  * Documentation fixes.

 -- Juliane Holzt <debian@julijane.de>  Fri, 17 Apr 2015 23:33:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cramfsswap
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Holzt <debian-cramfsswap@michael.holzt.de>
+Maintainer: Juliane Holzt <debian@julijane.de>
 Build-Depends: debhelper (>= 4.1.16), zlib1g-dev
 Standards-Version: 3.7.2

## cramfsswap 1.4.1-1.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 debian: cramfsswap
 
 cramfsswap: cramfsswap.c
-	gcc -Wall -g -O -o cramfsswap cramfsswap.c -lz
+	gcc -Wall -g -O -o cramfsswap -lz cramfsswap.c
 
 strip:
 	strip cramfsswap

=== debian/changelog ===
cramfsswap (1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Bump debhelper compat level. Closes: #817412

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 18 Dec 2016 12:50:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Juliane Holzt <debian@julijane.de>
-Build-Depends: debhelper (>= 4.1.16), zlib1g-dev
+Build-Depends: debhelper (>= 10~), zlib1g-dev
 Standards-Version: 3.7.2
 
 Package: cramfsswap

## cramfsswap 1.4.1-1.2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 debian: cramfsswap
 
 cramfsswap: cramfsswap.c
-	gcc -Wall -g -O -o cramfsswap -lz cramfsswap.c
+	$(CC) -Wall -g -O -o cramfsswap cramfsswap.c -lz
 
 strip:
 	strip cramfsswap

=== debian/changelog ===
cramfsswap (1.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Reorder library in Makefile closes: #951945
  * Fix FTCBFS: closes: #871410
    - Let dh_auto_build pass cross compilers to make
    - Make compiler substitutable in Makefile
    Patch by Helmut Grohne

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 20 Mar 2020 20:30:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 build: build-stamp
 build-stamp: 
 	dh_testdir
-	$(MAKE) debian
+	dh_auto_build -- debian
 	touch build-stamp
 
 clean:

## cramfsswap 1.4.1.1ubuntu1

=== debian/changelog ===
cramfsswap (1.4.1.1ubuntu1) artful; urgency=medium

  * Sync on Debian unstable. Remaining changes:
    - Reorder libraries to fix FTBFS with ld --as-needed.
  * Packaging tweaks:
    + debian/control:
      - Add misc:Depends to support dh.
    + debian/rules:
      - Dont ignore make clean errors.
      - Add recommended build arch and build indep targets.
      - Use dh_prep instead of dh_clean-k.
    + Correct the package version too as native package is used
      with a dash version which could be otherwise.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 18 May 2017 17:46:03 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: cramfsswap
 Section: utils
 Priority: extra
-Maintainer: Juliane Holzt <debian@julijane.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Juliane Holzt <debian@julijane.de>
 Build-Depends: debhelper (>= 10~), zlib1g-dev
 Standards-Version: 3.7.2
 
 Package: cramfsswap
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: swap endianess of a cram filesystem (cramfs)
  cramfs is a highly compressed and size optimized linux filesystem which is
  mainly used for embedded applications. the problem with cramfs is that it

=== debian/rules ===
--- 
+++ 
@@ -9,22 +9,24 @@
 #export DH_VERBOSE=1
 
 build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: 
 	dh_testdir
-	dh_auto_build -- debian
+	$(MAKE) debian
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/cramfsswap
 
@@ -50,4 +52,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## cramfsswap 1.4.2

=== Makefile ===
#!/usr/bin/make -f

all: cramfsswap strip
debian: cramfsswap

cramfsswap: cramfsswap.c
	$(CC) -Wall -g -O $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o cramfsswap cramfsswap.c -lz

strip:
	strip cramfsswap

install: cramfsswap
	install cramfsswap $(DESTDIR)/usr/bin

clean:
	rm -f cramfsswap

=== debian/changelog ===
cramfsswap (1.4.2) unstable; urgency=medium

  * QA upload.
  * Change back to native version Closes: #953595
  * Use source format 3.0 native
  * d/dirs: Remove empty directory
  * d/control:
    - Fix spelling error in description Closes: #543208, #684790
    - Set Debian QA as maintainer. see #981049
    - Change to debhelper-compat
    - Bump debhelper to 12
    - Change Priority field from extra to optional
    - Add misc:Depends to support debhelper
    - Add Rules-Requires-Root
    - Change architecture to linux-any
    - Update Standards-Version to 4.5.1
  * d/rules: Change to dh-sequencer
  * d/copyright: Change to DEP-5 format
  .
  * Add CFLAGS, CPPFLAGS and LDFLAGS in makefile
  * Fix typo in man-page

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 29 Jan 2021 19:39:57 +0100

=== debian/control ===
Source: cramfsswap
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: cramfsswap
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: swap endianness of a cram filesystem (cramfs)
 cramfs is a highly compressed and size optimized Linux filesystem which is
 mainly used for embedded applications. The problem with cramfs is that it
 is endianness sensitive, meaning you can't mount a cramfs for a big endian
 target on a little endian machine and vice versa. This is often especially
 a problem in the development phase.
 .
 cramfsswap solves that problem by allowing you to swap to endianness of a
 cramfs filesystem.

## cramfsswap 1.4.4

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cramfsswap: cramfsswap.c
 	$(CC) -Wall -g -O $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o cramfsswap cramfsswap.c -lz
 
-strip:
+strip: cramfsswap
 	strip cramfsswap
 
 install: cramfsswap

=== debian/changelog ===
cramfsswap (1.4.4) unstable; urgency=medium

  * QA upload.

  * Fixed typo in Vcs links.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Jul 2024 07:38:11 +0200

cramfsswap (1.4.3) unstable; urgency=medium

  * QA upload.

  * Adjusted Makefile to work better with parallel build (Closes: #996964).
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.5.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from old 12 to 13.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Jul 2024 23:05:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12), zlib1g-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
+               zlib1g-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/cramfsswap
+Vcs-Git: https://salsa.debian.org/debian/cramfsswap.git
 
 Package: cramfsswap
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: swap endianness of a cram filesystem (cramfs)
  cramfs is a highly compressed and size optimized Linux filesystem which is
  mainly used for embedded applications. The problem with cramfs is that it

## cramfsswap 1.4.5

=== debian/changelog ===
cramfsswap (1.4.5) unstable; urgency=medium

  * Adopt package (Closes: #981049)
  * Updated Standards-Version to 4.7.2.
  * Added autopkgtest.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Sat, 20 Sep 2025 00:30:00 +0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cramfsswap
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/cramfsswap
 Vcs-Git: https://salsa.debian.org/debian/cramfsswap.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- debian

override_dh_installman:
	dh_installman cramfsswap.1

=== debian/tests/control ===
Tests: test-cmd
Depends: @, util-linux, util-linux-extra, file
